Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229583 - policycoreutils fail to install cleanly
Summary: policycoreutils fail to install cleanly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-21 21:44 UTC by Michal Jaegermann
Modified: 2008-01-21 15:52 UTC (History)
2 users (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-21 15:52:13 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2007-02-21 21:44:16 UTC
Description of problem:

This is a fragment of yum output from the last update:

  Updating  : policycoreutils              ####################### [12/93]
error: %post(policycoreutils-2.0.2-3.fc7.x86_64) scriptlet failed, exit status 1

This results in multiple policycoreutils packages left in
an installation with all associated headaches.

A check what is in this %post script reveals that 'sepolgen-ifgen'
runs into troubles:

# /usr/bin/sepolgen-ifgen
error parsing headers
could not find support macros (obj_perm_sets.spt)

This was on x86_64 installation if that is indeed relevant here.

Version-Release number of selected component (if applicable):
policycoreutils-2.0.2-3.fc7

How reproducible:
always

Comment 1 Daniel Walsh 2007-02-22 17:45:04 UTC
Fixed in policycoreutils-2.0.3-2

Comment 2 Tom London 2007-08-26 18:22:49 UTC
Am getting this:

  Updating  : policycoreutils              ####################### [ 6/48] 
/var/tmp/rpm-tmp.23358: line 2: /usr/sbin/sepolgen-ifgen: No such file or directory
  Updating  : pam_ccreds

for the past few updates:
[root@localhost ~]# rpm -q policycoreutils
policycoreutils-2.0.25-3.fc8
[root@localhost ~]# 


Isn't sepolgen-ifgen in /usr/bin (not /usr/sbin)?

postinstall script refers to /usr/sbin/sepolgen-ifgen:
[root@localhost ~]# rpm -q --scripts policycoreutils
postinstall scriptlet (using /bin/sh):
/sbin/chkconfig --add restorecond
[ -f /usr/share/selinux/devel/include/build.conf ] && /usr/sbin/sepolgen-ifgen 
> /dev/null 
/usr/bin/sepolgen-ifgen  > /dev/null
exit 0
preuninstall scriptlet (using /bin/sh):
if [ $1 -eq 0 ]; then
   /sbin/service restorecond stop > /dev/null 2>&1
   /sbin/chkconfig --del restorecond
fi
postuninstall scriptlet (using /bin/sh):
if [ "$1" -ge "1" ]; then 
   [ -x /sbin/service ] && /sbin/service restorecond condrestart  > /dev/null
fi
[root@localhost ~]# 



Comment 3 Daniel Walsh 2007-08-27 13:24:53 UTC
Yes, it is now.

Fixed in policycoreutils-2.0.25-4.fc8


Note You need to log in before you can comment on or make changes to this bug.